#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x;
    unsigned long long s;
    scanf("%d%d",&n,&x);
    int a[n];
    for(int i=0; i<n; i++)
        scanf("%d",&a[i]);

    if(x<a[0]||x>a[n-1])
        s=a[n-1]-x;
    else if(x-a[0]<a[n-1]-x)
        s=x-2*a[0]+a[n-1];
    else
        s=2*a[n-1]-x-a[0];

    printf("%llu",s);
}